
#include "sx1278.h"

#define PinNSS 8
#define PinRST 22
#define PinDIO0 4




int main(void) {
    
    SX1278_Init(PinNSS, PinRST, PinDIO0);
    SX1278_load();
    uint8_t verstion = SX1278_ReadRegister(REG_VERSION);
    printf("Версия модуля: 0x%X\n", verstion);

    


    // // Пример отправки данных
    uint8_t txBuffer[SX1278_PAYLOAD] = {0x16, 0xF0, 0xDD, 0xD0, 0xD0, 0x0, 0xF1, 0x1D, 0x36, 0x6, 0x80, 0xC4, 0xBC, 0xF, 0x1E, 0xFF, 0xFF, 0x3, 0x3, 0x1, 0x0, 0x0, 0xA1};
    SX1278_SetMode(SX1278_MODE_TRANSMITTER);
    while (1)
    {
        SX1278_FIFO_SendData(&txBuffer);
        delay(100);
    }
    



    // Пример приема данных
    uint8_t rxBuffer[SX1278_PAYLOAD];
    SX1278_SetMode(SX1278_MODE_RECEIVER);
    while (1)
    {
        if(digitalRead(PinDIO0) == 1)
        {
            SX1278_FIFO_ReadData(&rxBuffer);
            for(int i = 0; i < SX1278_PAYLOAD; i++)
            {
                printf("0x%X, ", rxBuffer[i]);
            }
            printf("\n");
        }
        delay(100);
    }
    
    return 0;
}
